# "Calamity Cobra in "A Sweeter Reprise"

My entry for the 2023 WeightGaming Gain Jam; a sequel to my last entry. A top down arcade shooter with some fetishy elements.

## Build

### Dependencies

	- SDL2
	- SDL_image
	- SDL_mixer
	- SDL_ttf

### Linux

This repository uses CMake to compile, so:

`mkdir build`

`cd build`

`cmake ..`

`make`

### Windows

I used MinGW for the Windows build, so basically the same as Linux but you'll need to use MSYS, MinGW, etc. to compile it. I would recommend using ninja with cmake, so ``cmake .. -G Ninja `` and then ``ninja`` in the build directory.
