#pragma once

#include "state/STATE_COMMON.h"
#include "ecs/ECS_COMMON.h"
#include "input/INPUT_COMMON.h"

#include "../engine/atlas.h"
#include "../engine/file.h"
#include "../engine/renderer.h"
#include "../engine/sdl.h"
#include "../engine/tick.h"
#include "../engine/fullscreen.h"
#include "../engine/fullscreen.h"
#include "../engine/fullscreen.h"

typedef struct Game
{
	State state;
	Resources resources;
	Renderer renderer;
	Window window;
	Input input;
	Tick tick;
	ECS ecs;
	bool isFullscreen;
	bool isPaused;
} Game;
