#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../animation/component_animation_idle.h"
#include "component_heart.h"

typedef struct ComponentFatness
{
	ECSComponent component;
	u32 value;
	u32 previousValue;
	u32* thresholds;
	u32 thresholdCount;
	u32 heartID;
} ComponentFatness;

void component_fatness_init(ComponentFatness* self, u32* thresholds, u32 thresholdCount, u32 heartID);
void component_fatness_tick(ComponentFatness* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_FATNESS_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_fatness_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_FATNESS,
	.size = sizeof(ComponentFatness)
};
