#pragma once

#include "../../component/component_sprite.h"
#include "../../ecs_component.h"
#include "../../component/stat/component_game_entity_type.h"

typedef enum IconType
{
	ICON_GOODIES = 0,
	ICON_COMBAT_TIMER = 1,
	ICON_HEALTH = 2, 
	ICON_AMMO = 3,
	ICON_REDIRECT = 4,
	ICON_WAVE = 5,
	ICON_TIMER = 6,
	ICON_HEART = 7,
	ICON_WAVE_TIMER = 8,
	ICON_COUNT = 9,
	ICON_SHOP_LIFETIME = 10,
	ICON_SHOP_REDIRECTS = 11,
	ICON_SHOP_AMMO = 12,
	ICON_SHOP_HEALTH = 13,
	ICON_SHOP_ELEMENTAL = 14,
	ICON_PLAYER = 15,
	ICON_ELEMENTAL = 16,
	ICON_BRONZE_MEDAL = 17,
	ICON_SILVER_MEDAL = 18,
	ICON_GOLD_MEDAL = 19,
	ICON_CUPPER = 20,
	ICON_CHIPPER = 21,
	ICON_CRUMBLER = 22,
	ICON_CUSTARPEDO = 23,
	ICON_EXCORSANT = 24,
	ICON_ROCK_CANDY_MICHEAL = 25,
	ICON_NEAPOLITOTEM = 26,
	ICON_EZ_ACHE = 27,
	ICON_CREPER = 28,
	ICON_GUM_MK_II = 29,
	ICON_CHIP = 30,
	ICON_BEANIE = 31,
	ICON_ALERT = 32,
	ICON_EMPTY_ONE = 33,
	ICON_EMPTY_TWO = 34,
	ICON_EMPTY_THREE = 35,
	ICON_EMPTY_FOUR = 36,
	ICON_EMPTY_FIVE = 37,
	ICON_EMPTY_SIX = 38,
	ICON_EMPTY_SEVEM = 39
} IconType;

static const ivec2 ICON_FRAME_SIZE = {512, 512};
static const ivec2 ICON_ATLAS_SIZE = {4, 10};

void entity_icon_init(ECS* ecs, u32 id, vec3 position, vec2 size, IconType type);
