#include "entity_wave_timer_display.h"

/* Initializes wave timer display. */
void
entity_wave_timer_display_init(ECS* ecs, u32 id, u32 waveID)
{
	ComponentHUDDisplay* hudDisplay;

	hudDisplay = ecs_component_add(ecs, ECS_COMPONENT_HUD_DISPLAY, id);

	component_hud_display_init
	(
		hudDisplay,
		ecs,
		(f32*)ENTITY_WAVE_TIMER_DISPLAY_POSITION,
		waveID,
		HUD_DISPLAY_FORMAT_TIME_MM_SS_MS,
		ICON_WAVE_TIMER,
		ECS_COMPONENT_ACTION_WAVE
	);
}
