#pragma once

#include "RENDER_COMMON.h"

#define TEXTURE_QUAD_UNIFORM_COLOR "uColor"
#define TEXTURE_QUAD_UNIFORM_MODEL "uModel"
#define TEXTURE_QUAD_UNIFORM_PROJECTION "uProjection"
#define TEXTURE_QUAD_UNIFORM_TEXTURE "uTexture"
#define TEXTURE_QUAD_UNIFORM_VIEW "uView"

void texture_quad_draw
(
	Renderer* renderer, 
	Shader* shader, 
	Atlas* atlas, 
	mat4 model, 
	vec2 size, 
	vec4 color, 
	bool isFlipHorizontal
); 
