#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../stat/component_heart.h"

typedef struct ComponentActionDeleteOnHeart
{
	ECSComponent component;
	u32 heartID;
} ComponentActionDeleteOnHeart;

void component_action_delete_on_heart_init(ComponentActionDeleteOnHeart* self, u32 value);
void component_action_delete_on_heart_tick(ComponentActionDeleteOnHeart* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_DELETE_ON_HEART_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_action_delete_on_heart_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_DELETE_ON_HEART,
	.size = sizeof(ComponentActionDeleteOnHeart)
};


