#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../stat/component_redirects.h"
#include "../stat/component_act_entity.h"

typedef struct ComponentActionOnDeleteGiveRedirects
{
	ECSComponent component;
	u32 value;
} ComponentActionOnDeleteGiveRedirects;

void component_action_on_delete_give_redirects_init(ComponentActionOnDeleteGiveRedirects* self, u32 value);
void component_action_on_delete_give_redirects_delete(ComponentActionOnDeleteGiveRedirects* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_ON_DELETE_GIVE_REDIRECTS_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			(ECSFunction)component_action_on_delete_give_redirects_delete, 
			NULL,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_ON_DELETE_GIVE_REDIRECTS,
	.size = sizeof(ComponentActionOnDeleteGiveRedirects)
};


