#pragma once

#include "../../component/action/component_action_delete_on_timer.h"
#include "../../component/animation/component_animation_color_change.h"
#include "../../component/animation/component_animation_move.h"
#include "../../ecs_component.h"

#include "entity_icon.h"

#define ENTITY_ICON_NOTICE_TIMER 60

static const vec3 ENTITY_ICON_NOTICE_MOVE_VELOCITY = {0.0f, -1.0f, 0.0f};
static const vec2 ENTITY_ICON_NOTICE_SIZE = {64.0f, 64.0f};

void entity_icon_notice_init(ECS* ecs, u32 id, vec3 position, IconType type);
