#include "entity_player_health_display.h"

/* Initializes a player entity. */
void
entity_player_health_display_init(ECS* ecs, u32 id, u32 playerID)
{
	ComponentStatDisplay* statDisplay;

	statDisplay = ecs_component_add(ecs, ECS_COMPONENT_STAT_DISPLAY, id);

	component_stat_display_init
	(
		statDisplay,
		ecs,
		(f32*)PLAYER_HEALTH_DISPLAY_OFFSET,
		ECS_COMPONENT_HEALTH,
		playerID,
		ICON_HEALTH
	);
}
