#pragma once

#include "../../resource/resource_shader.h"
#include "../../resource/resource_texture.h"

typedef struct State State;

typedef struct Play
{
	State* state;
	u32 player;
	u32 elemental;
	u32 spawner;
	u32 cursor;
	u32 goodieDisplay;
	u32 timerDisplay;
	u32 combatTimerDisplay;
	u32 waveDisplay;
	u32 heartDisplay;
	u32 waveTimerDisplay;
	u32 overlay;
	u32 tutorialText;
	bool isGameOver;
	bool isResults;
} Play;
